class CreateUsers < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.timestamps
      t.string :login, :null => false
      t.string :email, :null => false
      t.string :crypted_password, :null => false
      t.string :password_salt, :null => false
      t.string :persistence_token, :null => false
      t.integer :login_count, :default => 0, :null => false
      t.datetime :last_request_at
      t.datetime :last_login_at
      t.datetime :current_login_at
      t.string :last_login_ip
      t.string :current_login_ip
      t.string :setting_id
      t.boolean :resolve_ips, :null => true
      t.boolean :accept_email, :null => false
      t.boolean :admin, :null => false
    end
        
    user = User.create(:login => 'snorby', 
    :email => 'change_me@example.com', 
    :password => 'admin', 
    :password_confirmation => 'admin', 
    :admin => true,
    :resolve_ips => true, 
    :accept_email => true)    
    user.save!
    
    add_index :users, :login
    add_index :users, :persistence_token
    add_index :users, :last_request_at
    
  end

  def self.down
    drop_table :users
  end
end
